MediaWiki:Documentation.css: Difference between revisions

Created page with "Requires u:dev:MediaWiki:Module:Documentation.css loaded first: .doctable { border: none; } .doctable th.doc-header { padding: 15px; background-color: var(--theme-page-background-color--secondary); } .doctable tr.links td { padding: 0; } .doctable tr.links td a, .doctable tr.links td .mw-selflink { padding: 5px; display: block; font-size: 1rem; text-align: center; text-decoration: none; transition: 0.1s; } .doctable tr.li..."
 
Kuhlau (talk | contribs)
No edit summary
 
Line 1: Line 1:
/* Requires u:dev:MediaWiki:Module:Documentation.css loaded first */
/* From https://dev.fandom.com/wiki/MediaWiki:Module:Documentation.css */
.template-documentation {
border: 1px solid #CCC;
border-color: var(--theme-border-color, #CCC);
margin: 1em 0;
}
 
.template-documentation .template-documentation-header {
background-color: #EEE;
background-color: var(--theme-page-background-color--secondary, #EEE);
border-bottom: 1px solid #CCC;
border-color: var(--theme-border-color, #CCC);
padding: 1em;
}
 
.template-documentation .template-documentation-langs {
background-color: #F6F6F6;
background-color: rgba(var(--theme-border-color--rgb, 246,246,246), 0.15);
border-bottom: 1px solid #CCC;
border-color: var(--theme-border-color, #CCC);
display: flex;
flex-wrap: wrap;
list-style: none;
margin: 0;
padding: 0;
padding-bottom: 0.5em
}
 
.template-documentation .template-documentation-langs li {
margin: 0 0 0 1em;
padding: 0.5em 0 0;
}
 
.template-documentation .template-documentation-langs li.selected {
order: -1;
}
 
.template-documentation .template-documentation-langs li.selected a {
color: black;
font-weight: bold;
}
 
.template-documentation .template-documentation-content {
overflow-y: auto;
padding: 1em;
}
 
.template-documentation .template-documentation-footer {
background-color: #EEE;
background-color: var(--theme-page-background-color--secondary, #EEE);
border-top: 1px solid #CCC;
border-color: var(--theme-border-color, #CCC);
font-size: 100%;
padding: .5em 1em;
text-align: right;
}
 
/* Custom */
 
.doctable {
.doctable {
     border: none;
     border: none;